Bug 116240 - Ordinary user cannot move systems between groups they have access to
Summary: Ordinary user cannot move systems between groups they have access to
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 111817
TreeView+ depends on / blocked
 
Reported: 2004-02-19 14:25 UTC by Nick Strugnell
Modified: 2007-07-31 19:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 16:23:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick Strugnell 2004-02-19 14:25:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
An ordinary user, having access to several groups, cannot move systems
between those groups.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. As org admin, assign 2 or more groups to ordinary user
2. Log in as ordinary user
3. Try to assign system in one group to another
    

Actual Results:  Cannot move system (no options to do so)

Expected Results:  Should be able to assign to different groups, as
when logged in as ordinary user to RHN hosted

Additional info:

Comment 1 Robin Norwood 2004-04-20 16:23:32 UTC
Nick - The problem with this RFE is this:

If we allow a user to move systems between groups they have access to,
then that affects other users ability to manage those systems.  For
instance:

User A has access to systems in Group 1 and Group 2.
User B has access to systems in Group 2.

System Foo is in Group 2.

User A removes System Foo from Group 2, and places it in Group 1.

Result: User B no longer has access to System Foo.

We could implement a feature like 'group admin' where a specific user
is given the right to manage the systems in a group, but that's
further down the road.


Note You need to log in before you can comment on or make changes to this bug.